> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readyhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Statement

> Retrieve a statement by ID



## OpenAPI

````yaml GET /statement/{id}
openapi: 3.0.1
info:
  title: Ready Health API
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.readyhealth.com
security:
  - ApiKeyAuth: []
paths:
  /statement/{id}:
    get:
      description: Retrieve a statement by ID
      parameters:
        - name: id
          in: path
          description: Identifier of the statement to retrieve
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatementResponse'
components:
  schemas:
    StatementResponse:
      type: object
      properties:
        id:
          description: Identifier of the created statement.
          type: string
          format: uuid
        status:
          description: Current status of the statement (for example, `PENDING` or `READY`).
          type: string
        template:
          description: Template key used to render the statement.
          type: string
        externalUserId:
          description: External identifier for the candidate in your system.
          type: string
        createdAt:
          description: ''
          type: string
          format: date-time
        updatedAt:
          description: ''
          type: string
          format: date-time
        file:
          description: If available, the rendered file for this statement.
          type: object
          properties:
            id:
              type: string
              format: uuid
            url:
              description: Presigned URL to download the rendered statement.
              type: string
            mimeType:
              type: string
            originalName:
              type: string
        context:
          type: object
          properties:
            partnerId:
              type: string
            candidateId:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````